- Legion API
- OAuth
- OAuth token introspection
OAuth token introspection
GET
/v3/integrations/oauth/tokeninfo
const url = 'https://api.hopper.west.prod.govcloud.legion.picogrid.com/v3/integrations/oauth/tokeninfo?token=jwt_access_token_example_placeholder&token_type_hint=access_token';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.hopper.west.prod.govcloud.legion.picogrid.com/v3/integrations/oauth/tokeninfo?token=jwt_access_token_example_placeholder&token_type_hint=access_token'Introspect OAuth token to get information about it
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”token
required
string
Example
jwt_access_token_example_placeholdertoken_type_hint
string
Example
access_tokenResponses
Section titled “Responses”Successful response
Media typeapplication/json
object
active
required
boolean
aud
Array<string>
client_id
string
exp
number
iat
number
integration_id
string
iss
string
jti
string
nbf
number
organization_id
string
scope
string
sub
string
token_type
string
user_id
string
username
string
Example
{ "active": true, "client_id": "integration.drone-cmd", "exp": 1640995200, "iat": 1640991600, "integration_id": "d4e5f6a1-b2c3-7890-1234-567890abcdef", "organization_id": "550e8400-e29b-41d4-a716-446655440000", "scope": "entities:write organizations:read", "sub": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "token_type": "Bearer", "user_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "username": "user@picogrid.com"}Bad Request
Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{ "code": 400, "details": [ { "Field": "organization_id", "Issue": "must be a valid UUID format" } ], "message": "Request cannot be processed due to invalid input", "status": "error", "timestamp": "2026-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Unauthorized
Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{ "code": 401, "details": [ { "Field": "authorization_header", "Issue": "Bearer token is expired or malformed" } ], "message": "Authentication credentials are missing or invalid", "status": "error", "timestamp": "2026-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Forbidden
Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{ "code": 403, "details": [ { "Field": "required_scope", "Issue": "requires 'orion:settings:write' scope, but token only has 'orion:settings:read'" } ], "message": "Access denied: insufficient permissions for this resource", "status": "error", "timestamp": "2026-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Not Found
Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{ "code": 404, "details": [ { "Field": "organization_id", "Issue": "organization with ID 'a1b2c3d4-e5f6-7890-abcd-ef1234567890' not found" } ], "message": "The requested resource could not be found", "status": "error", "timestamp": "2026-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Internal Server Error
Media typeapplication/json
object
category
required
The category of the error
string
code
required
The HTTP status code
number
details
Additional details about the error
Array<object>
object
field
The field that caused the error
string
issue
The specific issue with the field
string
message
required
A human-readable error message
string
status
required
The status of the response, always ‘error’ for error responses
string
timestamp
required
The timestamp when the error occurred
string format: date-time
trace_id
required
A unique identifier for tracing the error
string format: uuid
Example
{ "category": "server_error", "code": 500, "details": [ { "field": "field_name", "issue": "Field validation issue" } ], "message": "Internal Server Error", "status": "error", "timestamp": "2024-03-15T10:30:00Z", "trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"}Version 3.14.0 · commit 0771262
